//================================================================================
// Copyright (C) NAB 2010
//================================================================================

/// @file

#if !defined cmif_ScenarioCellBase_h
#define cmif_ScenarioCellBase_h

#include "Node.h"
#include "Printable.h"

namespace cmif
{
		/// Abstract base class for all scenario objects.
	class modelCellExport ScenarioCellBase:
		public nab::Printable,
		public nab::Node<ScenarioCellBase>
	{
	public:


			// overridden virtual methods
		void pushRoot(ScenarioCellBase* p);
		void print(std::ostream& os) const;

	protected:

	};

}

#endif // cmif_ScenarioCellBase_h

//================================================================================
// Copyright (C) NAB 2010
//================================================================================
